# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "alm"
version = "0.5.0"
authors = ["Amy Gilhespy <amyogilhespy@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Amy's Lightweight Markup language"
readme = "README.md"
categories = [
    "parser-implementations",
    "parsing",
    "text-processing",
    "compilers",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/AmyGilhespy/alm"

[lib]
name = "alm"
path = "src/lib.rs"

[[bin]]
name = "alm"
path = "src/main.rs"

[dependencies.clap]
version = "4.6.0"
features = ["derive"]

[dependencies.pest]
version = "2.8.6"

[dependencies.pest_derive]
version = "2.8.6"

[dependencies.thiserror]
version = "2.0.18"
